Module | Sequel::MySQL::PreparedStatements::DatasetMethods::CallableStatementMethods
In: | lib/sequel/adapters/shared/mysql_prepared_statements.rb

Methods to add to MySQL prepared statement calls without using a real database prepared statement and bound variables.

### Methods

subselect_sql_append

### Public Instance methods

subselect_sql_append(sql, ds)

Extend given dataset with this module so subselects inside subselects in prepared statements work.

[Source]

        # File lib/sequel/adapters/shared/mysql_prepared_statements.rb, line 67
    67:           def subselect_sql_append(sql, ds)
    68:             ps = ds.to_prepared_statement(:select).clone(:append_sql => sql)
    69:             ps.extend(CallableStatementMethods)
    70:             ps = ps.bind(@opts[:bind_vars]) if @opts[:bind_vars]
    71:             ps.prepared_args = prepared_args
    72:             ps.prepared_sql
    73:           end

[Validate]